Skip to main content

Flexiti

Quick Start
  1. Sign up at flexiti.com and obtain API credentials
  2. Create a terminal in the Admin Console with the parameters below
  3. Start processing — the adapter is pre-built and ready to use

Go to Flexiti →

Overview

Flexiti — Payments (installment/lending)

Provider IDflexiti
CategoryBuy Now, Pay Later
Websiteflexiti.com

Supported operations: Purchase (payments_authorize) Capture (payments_capture) Refund (refund)


Authentication

Method: OAuth2 Client Credentials
Token Endpoint: POST /oauth/token
Grant Type: client_credentials

Retrieval token:

POST /oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id={client_id}&client_secret={client_secret}

Usage token:

Authorization: Bearer {access_token}

Configuration

Required Parameters

ParameterDescription
client_idOAuth2 Client ID
client_secretOAuth2 Client Secret
midMerchant ID

Status Mapping

Provider Status4pay StatusDescription
approvedAuthorizedCredit approved
fundedChargedFunds transferred
declinedFailureCredit declined
pendingPendingAwaiting resolution
cancelledVoidedTransaction cancelled
approvedSuccess
pendingPending
declinedFailure

Resources